
Summary:	DHCPC Daemon
Name:		dhcpcd
Version:	3.1.8
Release:	%mkrel 2
License:	GPL
Group:		System/Servers
URL:		http://dhcpcd.berlios.de/
Source0:	http://prdownload.berlios.de/dhcpcd/%{name}-%{version}.tar.bz2
Requires(post): rpm-helper
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
dhcpcd is an implementation of the DHCP client specified in
draft-ietf-dhc-dhcp-09 (when -r option is not specified) and RFC1541 (when -r
option is specified).

It gets the host information (IP address, netmask, broad- cast address, etc.)
from a DHCP server and configures the network interface of the machine on which
it is running. It also tries to renew the lease time according to RFC1541 or
draft-ietf-dhc-dhcp-09.

%prep
%setup -q

%build
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}/var/log
touch %{buildroot}/var/log/%{name}.log

%post
# Create initial log files so that logrotate doesn't complain
if [ $1 = 1 ]; then # first install
    %create_ghostfile dhcpcd root root 644
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog
#%config(noreplace) %{_sysconfdir}/dhcpc/*
/sbin/dhcpcd
%{_mandir}/man8/dhcpcd.8*
%ghost /var/log/%{name}.log


%changelog
* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.1.8-2mdv2008.1
+ Revision: 149172
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.22pl4-7mdv2007.1
+ Revision: 145528
- Import dhcpcd

* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.22pl4-7mdv2007.1
- use the %%mrel macro
- bunzip patches

* Sat May 13 2006 Stefan van der Eijk <stefan@eijk.nu> 1.3.22pl4-6mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.3.22pl4-5mdk
- Rebuild

* Sat Jan 22 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3.22pl4-4mdk
- add prepreq on rpm-helper
- cosmetics
- no .bz2 ending for man page in %%files

